Permalink
Browse files

Switch time-require to @ladjs/time-require

  • Loading branch information...
niftylettuce authored and novemberborn committed Dec 28, 2017
1 parent 965cbc6 commit 4e8f82703974f3187c4273bc4edff53016593306
Showing with 50 additions and 50 deletions.
  1. +1 −1 cli.js
  2. +2 −2 lib/process-adapter.js
  3. +46 −46 package-lock.json
  4. +1 −1 package.json
View
2 cli.js
@@ -8,7 +8,7 @@ if (importLocal(__filename)) {
debug('Using local install of AVA');
} else {
if (debug.enabled) {
require('time-require'); // eslint-disable-line import/no-unassigned-import
require('@ladjs/time-require'); // eslint-disable-line import/no-unassigned-import
}
try {
View
@@ -48,13 +48,13 @@ if (opts.tty) {
}
if (debug.enabled) {
// Forward the `time-require` `--sorted` flag.
// Forward the `@ladjs/time-require` `--sorted` flag.
// Intended for internal optimization tests only.
if (opts._sorted) {
process.argv.push('--sorted');
}
require('time-require'); // eslint-disable-line import/no-unassigned-import
require('@ladjs/time-require'); // eslint-disable-line import/no-unassigned-import
}
const sourceMapCache = new Map();
View

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.
View
@@ -65,6 +65,7 @@
"@ava/babel-preset-transform-test-files": "^3.0.0",
"@ava/write-file-atomic": "^2.2.0",
"@concordance/react": "^1.0.0",
"@ladjs/time-require": "^0.1.4",
"ansi-escapes": "^3.0.0",
"ansi-styles": "^3.1.0",
"arr-flatten": "^1.0.1",
@@ -140,7 +141,6 @@
"strip-bom-buf": "^1.0.0",
"supertap": "^1.0.0",
"supports-color": "^5.0.0",
"time-require": "^0.1.2",
"trim-off-newlines": "^1.0.1",
"unique-temp-dir": "^1.0.0",
"update-notifier": "^2.3.0"

0 comments on commit 4e8f827

Please sign in to comment.